use binutils 2.22 by default
authorImre Kaloz <kaloz@openwrt.org>
Sun, 12 Feb 2012 09:17:54 +0000 (09:17 +0000)
committerImre Kaloz <kaloz@openwrt.org>
Sun, 12 Feb 2012 09:17:54 +0000 (09:17 +0000)
SVN-Revision: 30469

toolchain/binutils/Config.in

index 50ee615..2ce5de3 100644 (file)
@@ -3,15 +3,17 @@
 choice
        prompt "Binutils Version" if TOOLCHAINOPTS
        default BINUTILS_VERSION_2_19_1 if ubicom32
 choice
        prompt "Binutils Version" if TOOLCHAINOPTS
        default BINUTILS_VERSION_2_19_1 if ubicom32
-       default BINUTILS_VERSION_2_20_1
+       default BINUTILS_VERSION_2_20_1 if avr32
+       default BINUTILS_VERSION_2_22
        help
          Select the version of binutils you wish to use.
 
        config BINUTILS_VERSION_2_19_1
        help
          Select the version of binutils you wish to use.
 
        config BINUTILS_VERSION_2_19_1
+               depends ubicom32
                bool "binutils 2.19.1"
 
        config BINUTILS_VERSION_2_20_1
                bool "binutils 2.19.1"
 
        config BINUTILS_VERSION_2_20_1
-               depends !ubicom32
+               depends avr32
                bool "binutils 2.20.1"
 
        config BINUTILS_VERSION_2_21
                bool "binutils 2.20.1"
 
        config BINUTILS_VERSION_2_21
@@ -47,4 +49,5 @@ config BINUTILS_VERSION
        default "2.21.1"          if BINUTILS_VERSION_2_21_1
        default "2.22"            if BINUTILS_VERSION_2_22
        default "2.19.1"          if ubicom32
        default "2.21.1"          if BINUTILS_VERSION_2_21_1
        default "2.22"            if BINUTILS_VERSION_2_22
        default "2.19.1"          if ubicom32
-       default "2.20.1"
+       default "2.20.1"          if avr32
+       default "2.22"